/* (C) 2022 YiRing, Inc. */
package com.yiring.app.config.converter;

import com.alibaba.fastjson.JSONObject;
import javax.persistence.AttributeConverter;
import javax.persistence.Converter;

/**
 * JSONObject JPA 类型转换
 *
 * @author Jim
 * @version 0.1
 * 2022/4/7 18:03
 */

@Converter
public class JSONObjectConverter implements AttributeConverter<JSONObject, String> {

    @Override
    public String convertToDatabaseColumn(JSONObject json) {
        return json.toJSONString();
    }

    @Override
    public JSONObject convertToEntityAttribute(String s) {
        return JSONObject.parseObject(s);
    }
}
